[med-svn] [Git][med-team/mafft][upstream] New upstream version 7.467

Steffen Möller gitlab at salsa.debian.org
Fri May 15 12:17:07 BST 2020



Steffen Möller pushed to branch upstream at Debian Med / mafft


Commits:
207670d8 by Steffen Moeller at 2020-05-15T13:14:52+02:00
New upstream version 7.467
- - - - -


6 changed files:

- core/Falign.c
- core/addsingle.c
- core/defs.c
- core/mafft.tmpl
- core/mltaln.h
- readme


Changes:

=====================================
core/Falign.c
=====================================
@@ -1364,6 +1364,7 @@ system( "less seqVec2 < /dev/tty > /dev/tty" );
 	for( j=0; j<clus2; j++ ) result2[j][0] = 0;
 	totalscore = 0.0;
 	*fftlog = -1;
+//	reporterr( "\nin Falign(), *fftlog = %d\n", *fftlog );
 	for( i=0; i<count-1; i++ )
 	{
 		*fftlog += 1;
@@ -1580,6 +1581,7 @@ system( "less seqVec2 < /dev/tty > /dev/tty" );
 		}
 #endif
 	}
+//	reporterr( "\nafter Falign(), *fftlog = %d\n", *fftlog );
 
 #if KEIKA
 	fprintf( stderr, "DP ... done   \n" );
@@ -3402,6 +3404,7 @@ system( "less seqVec2 < /dev/tty > /dev/tty" );
 	for( j=0; j<clus2; j++ ) result2[j][0] = 0;
 	totalscore = 0.0;
 	*fftlog = -1;
+//	reporterr( "\nin Falign_udpari(), *fftlog = %d\n", *fftlog );
 	for( i=0; i<count-1; i++ )
 	{
 		*fftlog += 1;
@@ -3549,6 +3552,10 @@ system( "less seqVec2 < /dev/tty > /dev/tty" );
 		}
 #endif
 	}
+
+
+//	reporterr( "\nafter Falign_udpari(), *fftlog = %d\n", *fftlog );
+
 #if KEIKA
 	fprintf( stderr, "DP ... done   \n" );
 #endif


=====================================
core/addsingle.c
=====================================
@@ -1389,7 +1389,8 @@ static double treebase( int nseq, int *nlen, char **aseq, int nadd, char *mergeo
 
 
 //		if( fftlog[m1] && fftlog[m2] ) ffttry = ( nlen[m1] > clus1 && nlen[m2] > clus2 );
-		if( fftlog[m1] && fftlog[m2] ) ffttry = ( nlen[m1] > clus1 && nlen[m2] > clus2 && clus1 < 1000 && clus2 < 1000 );
+//		if( fftlog[m1] && fftlog[m2] ) ffttry = ( nlen[m1] > clus1 && nlen[m2] > clus2 && clus1 < 1000 && clus2 < 1000 );
+		if( fftlog[m1] && fftlog[m2] ) ffttry = ( nlen[m1] > clus1 && nlen[m2] > clus2 );
 		else						   ffttry = 0;
 //		ffttry = ( nlen[m1] > clus1 && nlen[m2] > clus2 && clus1 < 5000 && clus2 < 5000 ); // v6.708
 //		fprintf( stderr, "f=%d, len1/fftlog[m1]=%f, clus1=%d, len2/fftlog[m2]=%f, clus2=%d\n", ffttry, (double)len1/fftlog[m1], clus1, (double)len2/fftlog[m2], clus2 );
@@ -2961,7 +2962,7 @@ int main( int argc, char *argv[] )
 	fprintf( stderr, "norg = %d\n", norg );
 	fprintf( stderr, "njobc = %d\n", njobc );
 //	if( norg > 1000 || nadd > 1000 ) use_fft = 0;
-	if( norg > 1000 ) use_fft = 0;
+//	if( norg > 1000 ) use_fft = 0;
 
 
 	fullseqlen = alloclen = nlenmax*4+1; //chuui!


=====================================
core/defs.c
=====================================
@@ -1,10 +1,10 @@
 #include "mltaln.h"
 #include "dp.h"
 
-int TLS commonAlloc1 = 0;
-int TLS commonAlloc2 = 0;
-int TLS **commonIP = NULL;
-int TLS **commonJP = NULL;
+TLS int commonAlloc1 = 0;
+TLS int commonAlloc2 = 0;
+TLS int **commonIP = NULL;
+TLS int **commonJP = NULL;
 int nthread = 1;
 int nthreadpair = 1;
 int randomseed = 0;
@@ -115,7 +115,7 @@ double consweight_multi = 1.0;
 double consweight_rna = 0.0;
 char RNAscoremtx = 'n';
 
-char TLS *newgapstr = "-";
+TLS char *newgapstr = "-";
 
 int nalphabets = 26;
 int nscoredalphabets = 20;


=====================================
core/mafft.tmpl
=====================================
@@ -1,7 +1,7 @@
 #! /bin/bash 
 er=0;
 myself=`dirname "$0"`/`basename "$0"`; export myself
-version="v7.464 (2020/Apr/21)"; export version
+version="v7.467 (2020/May/14)"; export version
 LANG=C; export LANG
 os=`uname`
 progname=`basename "$0"`
@@ -2316,11 +2316,8 @@ function removetmpfile() { # for MPI
 			fi
 			if [ $anysymbol -eq 1 ]; then
 				mv orig infile # replaceu wo mukouka
-			#else
-			#	Check sequence here
 			fi
-#			mv infile infile2
-#			cat /dev/null > infile
+			sed 's/-//g' infile > dashin # gap nozoku
 
 			if [ ! -x "$prefix/dash_client" -o ! -x "$prefix/dash_client" ]; then
 				echo ""       1>&2
@@ -2335,7 +2332,7 @@ function removetmpfile() { # for MPI
 			fi
 			
 			echo "Calling DASH (https://sysimm.org/dash/)" 1>>"$progressfile"
-			"$prefix/dash_client" -i infile -sequences dashsequences -hat3 hat3.seed 1>>"$progressfile"
+			"$prefix/dash_client" -i dashin -sequences dashsequences -hat3 hat3.seed 1>>"$progressfile"
 			dashres="$?"
 			if [ $dashres -ne "0" ]; then
 				echo "Error in DASH" 1>>"$progressfile"
@@ -2348,6 +2345,17 @@ function removetmpfile() { # for MPI
 				mv ho_excluded dashsequences
 			fi
 
+			if [ "$mergetable" != "/dev/null" ]; then # 2020/Apr/30
+				ndash=`grep -c '>DASH_' dashsequences | head -1`
+#				echo "ndash = " $ndash
+				awk "{for( i=1;i<=NF;i++){if(0+\$i==0)break; printf( \"%d \", $ndash+\$i); } print \"\" }" _subalignmentstable > _subalignmentstableshifted
+				mv _subalignmentstableshifted _subalignmentstable
+				cp dashsequences dashsequences.bk
+				awk "BEGIN{nout=0} {if(\$1~/^>/) nout++; if( nout <= $ndash ) print;}" dashsequences > infile2
+				cat infile >> infile2
+				cp infile2 dashsequences
+			fi
+
 			sed 's/>DASH_/>DASH|/' dashsequences > renamed
 			mv renamed dashsequences
 			echo "Done." 1>>"$progressfile"
@@ -2366,54 +2374,11 @@ function removetmpfile() { # for MPI
 				cat dashsequences > infile
 #				cat infile2 >> infile
 			fi
-
-#		elif [ $pdblist != "/dev/null" -o $ownlist != "/dev/null" ]; then
-#			mv infile infile2
-#			if [ $anysymbol -eq 1 ]; then
-#				mv orig orig2
-#				cat /dev/null > orig
-#			fi
-#			cat /dev/null > infile
-#
-#			echo "strdir = " 1>>"$progressfile"
-#			echo $strdir 1>>"$progressfile"
-#
-#			echo "Calling DASH (http://sysimm.ifrec.osaka-u.ac.jp/dash/)" 1>>"$progressfile"
-#			perl "$prefix/mafftash_premafft.pl" -p pdblist -o ownlist -d "$strdir" 2>>"dasherr"
-#			dashres="$?"
-#			cat dasherr  1>>"$progressfile"
-#
-#			if [ $dashres -ne "0" ]; then
-#				echo "Error in DASH" 1>>"$progressfile"
-#				exit 1;
-#			fi
-#			echo "Done." 1>>"$progressfile"
-#
-#			seedoffset=`grep -c '^[>|=]' instr | head -1 ` 
-#
-#			echo "# of structures = " 1>>"$progressfile"
-#			echo $seedoffset 1>>"$progressfile"
-#			mv hat3 hat3.seed
-#
-#			if [ $anysymbol -eq 1 ]; then
-#				cat instr >> orig
-#				"$prefix/replaceu" $seqtype -i instr -o 0 > clean 2>>"$progressfile" || exit 1
-#				mv clean infile
-#
-#				"$prefix/replaceu" $seqtype -i orig2 -o $seedoffset >> infile 2>>"$progressfile" || exit 1  # yarinaoshi
-#				cat orig2 >> orig
-#			else
-#				cat instr > infile
-#				cat infile2 >> infile
-#			fi
 		else
 			cat /dev/null > hat3.seed
 		fi
 #		cat hat3.seed
 
-
-
-
 		if [ $mccaskill -eq 1 ]; then
 			"$prefix/mccaskillwrap" -s -C $numthreads -d "$prefix" -i infile > hat4 2>>"$progressfile" || exit 1
 		elif [ $dafs -eq 1 ]; then


=====================================
core/mltaln.h
=====================================
@@ -1,7 +1,6 @@
 #define USE_XCED 0
 
-#define _SVID_SOURCE
-#define _BSD_SOURCE
+#define _XOPEN_SOURCE
 
 #if USE_XCED
 #include "config.h"
@@ -37,7 +36,7 @@
 
 
 
-#define VERSION "7.464"
+#define VERSION "7.467"
 #define SHOWVERSION reporterr( "%s (%s) Version " VERSION "\nalg=%c, model=%s, amax=%3.1f\n%d thread(s)\n\n", progName( argv[0] ), (dorp=='d')?"nuc":((nblosum==-2)?"text":"aa"), alg, modelname, specificityconsideration, nthread )
 
 #define FFT_THRESHOLD  80


=====================================
readme
=====================================
@@ -1,6 +1,6 @@
 -----------------------------------------------------------------------
   MAFFT: a multiple sequence alignment program
-  version 7.464, 2020/Apr/21
+  version 7.467, 2020/May/14
 
   http://mafft.cbrc.jp/alignment/software/
   katoh at ifrec.osaka-u.ac.jp



View it on GitLab: https://salsa.debian.org/med-team/mafft/-/commit/207670d8e2ae7eb679e03ca85b51ac34a622902e

-- 
View it on GitLab: https://salsa.debian.org/med-team/mafft/-/commit/207670d8e2ae7eb679e03ca85b51ac34a622902e
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200515/107038d5/attachment-0001.html>


More information about the debian-med-commit mailing list